## GstLFOControlSource GstLFOControlSource |

## Functions

GstControlSource * | gst_lfo_control_source_new ()

## Properties

gdouble | amplitude | Read / Write
gdouble | frequency | Read / Write
gdouble | offset | Read / Write
guint64 | timeshift | Read / Write
GstLFOWaveform | waveform | Read / Write

## Types and Values

struct | GstLFOControlSource
enum | GstLFOWaveform

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlSource
                    ╰── GstLFOControlSource

## Includes

    #include <libs/controller/gstlfocontrolsource.h>

## Description

## Functions

### gst_lfo_control_source_new ()

    GstControlSource *
    gst_lfo_control_source_new (void);

## Types and Values

### struct GstLFOControlSource

    struct GstLFOControlSource;

### enum GstLFOWaveform

#### Members

GST_LFO_WAVEFORM_SINE |  |
GST_LFO_WAVEFORM_SQUARE |  |
GST_LFO_WAVEFORM_SAW |  |
GST_LFO_WAVEFORM_REVERSE_SAW |  |
GST_LFO_WAVEFORM_TRIANGLE |  |

## Property Details

### The `“amplitude”` property

      “amplitude”                gdouble

Amplitude of the waveform.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“frequency”` property

      “frequency”                gdouble

Frequency of the waveform.

Flags: Read / Write

Allowed values: >= G_MINDOUBLE

Default value: 1

### The `“offset”` property

      “offset”                   gdouble

Offset of the waveform.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“timeshift”` property

      “timeshift”                guint64

Timeshift of the waveform to the right.

Flags: Read / Write

Default value: 0

### The `“waveform”` property

      “waveform”                 GstLFOWaveform

Waveform.

Flags: Read / Write

Default value: GST_LFO_WAVEFORM_SINE